Bug 478780 - Review Request: perl-MooseX-Traits-Attribute-CascadeClear - Attribute trait to cascade clearer actions
Review Request: perl-MooseX-Traits-Attribute-CascadeClear - Attribute trait t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Tr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 19:04 EST by Chris Weyl
Modified: 2009-01-09 10:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 10:34:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-01-04 19:04:05 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Traits-Attribute-CascadeClear.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Traits-Attribute-CascadeClear-0.02-1.fc10.src.rpm

Description:
CascadeClearer is an attribute metaclass trait that allows one to chain
attribute clearing actions.  For instance, if you have attributes that
derive their value from a "master" attribute, this would transparently
allow you to clear all the children attributes by clearing the master
attribute.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1032225
Comment 1 Parag AN(पराग) 2009-01-05 00:04:04 EST
Review:
+ package builds in mock (rawhide i386)
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1032478
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c6787e2c956fdbe08d27a5c7b97d9b06  MooseX-Traits-Attribute-CascadeClear-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=36,  2 wallclock secs ( 0.02 usr  0.00 sys +  1.43 cusr  0.06 csys =  1.51 CPU)
+ Package perl-MooseX-Traits-Attribute-CascadeClear-0.02-1.fc11 =>
  Provides: perl(Moose::Meta::Attribute::Custom::Trait::CascadeClear) = 0.02 perl(Moose::Meta::Attribute::Custom::Trait::CascadeClearMaster) = 0.02 perl(MooseX::Traits::Attribute::CascadeClear) = 0.02 perl(MooseX::Traits::Attribute::CascadeClearMaster) = 0.02
Requires: perl(Moose::Role) perl(strict) perl(warnings)

APPROVED.
Comment 2 Chris Weyl 2009-01-07 01:47:36 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Traits-Attribute-CascadeClear
Short Description: Attribute trait to cascade clearer actions
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-09 00:58:15 EST
cvs done.
Comment 4 Chris Weyl 2009-01-09 10:34:48 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.